All,

I recently ran into a problem with mod_ssl and Internet Explorers version 6 and
7. I have found that in the case where "SSLVerifyClient" is set to anything
other than exactly "none" with Apache 1.3.x and mod_ssl 2.8.x that a client
using Internet Explorer version 6 or 7 cannot connect using HTTPS. The
following error is given in the ssl_error_log:
mod_ssl: SSL handshake interrupted by system connection reset by peer

It is not clear whether this is a mod_ssl or an Internet Explorer bug. The
issue is not present when using Apache 2.2.x and the corresponding Apache
mod_ssl. I would prefer to continue using Apache 1.3.x and mod_ssl 2.8.x for
now, but this bug (regardless of which component is faulty) prevents that option
when "SSLVerifyClient" and availability to clients using Internet Explorer are
both simultaneously desired.

Is this a known bug ? Is there a place to report this bug in greater detail ?

Thanks,
--
Roy Keene (Contractor)
Office of Network Management (Code 7030.8)
Naval Research Laboratory
Stennis Space Center, MS 39529
DSN 828-4827

__________________________________________________ ____________________
Apache Interface to OpenSSL (mod_ssl) www.modssl.org
User Support Mailing List modssl-users@modssl.org
Automated List Manager majordomo@modssl.org